<?php require_once( '../admin/cms.php' ); ?>
<cms:template title='Antworten zum gewählten Anbieter' parent='_befragung_' order='25' executable='0' clonable='1' hidden='0' >

	<cms:editable order='1'		name='anfrage'			label='Anfrage'				type='relation'		masterpage='app/data/anfragen.php' has='one' />
	<cms:editable order='2'		name='anbieter'			label='Gewählter Anbieter'	type='relation'		masterpage='app/data/anbieter.php' has='one' />

	<cms:editable order='3'		name='fragebogen'		label='Fragebogen'			type='relation'		masterpage='befragung/fragebogen.php' has='one' />
	<cms:editable order='4'		name='frage'			label='Frage'				type='relation'		masterpage='befragung/fragen.php' has='one' />

	<cms:editable order='5'		name='antwort'			label='Antwort'				type='text' />

	<cms:config_list_view orderby='publish_date' order='desc' limit='200' exclude='default-page'>

		<cms:field 'k_selector_checkbox' />

		<cms:field 'date' header='Datum' sortable='1' >
			<a href="<cms:admin_link />">
				<cms:show k_page_date />
			</a>
		</cms:field>

		<cms:field 'k_page_title' header='Anbieter' class='small'>
			<cms:show k_page_title />
		</cms:field>

		<cms:ignore>
		<cms:field 'anbieter' header='Anbieter' class='small'>
			<cms:related_pages 'anbieter'>
				<cms:show name />
			</cms:related_pages>
		</cms:field>
		</cms:ignore>

		<cms:field 'anfrage' header='Anfrager' class='small'>
			<cms:related_pages 'anfrage'>
				<cms:show vorname /> <cms:show nachname />
			</cms:related_pages>
		</cms:field>

		<cms:field 'fragebogen' header='Fragebogen'>
			<cms:related_pages 'fragebogen' skip_custom_fields='1'>
				<cms:show k_page_title />
			</cms:related_pages>
		</cms:field>

		<cms:field 'frage' header='Frage'>
			<cms:related_pages 'frage'>
				<cms:show frage />
			</cms:related_pages>
		</cms:field>

		<cms:field 'antwort' header='Antwort' class='small' sortable='1' />

		<cms:field 'k_actions' />

		<cms:style>
			th.col-small {
				min-width: 50px; important!
			}
			th.col-medium {
				min-width: 100px; important!
			}
			.text-muted {
				color: #777777;
			}
		</cms:style>

	</cms:config_list_view>

</cms:template>
<?php COUCH::invoke(); ?>