<?php require_once( '../admin/cms.php' ); ?>
<cms:template title='Fragebogen' parent='_befragung_' order='21' executable='0' clonable='1' hidden='0' >

	<cms:editable order='1' name='text' label='Einleitender Text' type='textarea' no_xss_check='1' />

	<cms:editable order='2' name='text_danke' label='Danke-Text' type='textarea' no_xss_check='1' />

	<cms:repeatable order='3' name='fragen' label='Fragebogen-Elemente' >
		<cms:editable order='1' name='element' label='Frage/Element' type='dropdown' opt_values="...|<cms:pages masterpage='befragung/fragen.php' order='asc' order_by='page_id' show_unpublished='0' exclude='default-page'><cms:show bezug /> (<cms:show typ />): <cms:show frage />=<cms:show k_page_id /><cms:if k_count!=k_total_records>|</cms:if></cms:pages>" />
	</cms:repeatable>

	<cms:config_list_view limit='200' exclude='default-page'>

		<cms:field 'k_selector_checkbox' />

		<cms:field 'page_title' header='Titel' sortable='1' >
			<a href="<cms:admin_link />">
				<cms:show k_page_title />
			</a>
		</cms:field>

		<cms:field 'k_page_name' header='Name' sortable='1' />

		<cms:field 'text' header='Einleitender Text' class='small' />

		<cms:field 'text_danke' header='Danke-Text' class='small' />

		<cms:field 'k_actions' />

		<cms:style>
			th.col-small {
				min-width: 50px; important!
			}
			th.col-medium {
				min-width: 100px; important!
			}
			.text-muted {
				color: #777777;
			}
		</cms:style>

	</cms:config_list_view>

	<cms:config_form_view>

		<cms:ignore>
		<cms:field 'k_page_name' label='Name' order='101' group='_advanced_settings_' />
		</cms:ignore>

	</cms:config_form_view>

</cms:template>
<?php COUCH::invoke(); ?>