<?php require_once( '../admin/cms.php' ); ?>
<cms:template title='Fragen' parent='_befragung_' order='22' executable='0' clonable='1' hidden='0' >

	<cms:editable order='1'		name='frage'		label='Frage/Überschrift'	type='text' />
	<cms:editable order='2'		name='legende'		label='Legende/Text'		type='text' />
	<cms:editable order='3'		name='bezug'		label='Bezug'				type='radio'		opt_values='Offerstellung (Alle Anbieter)=Offertstellung|Gewählter Anbieter=Auftrag|Hausheld Service=Hausheld' />
	<cms:editable order='4'		name='typ'			label='Typ'					type='dropdown'		opt_values='Titel=title|Text=text|Textfeld=textarea|Radio=radio|Checkbox=checkbox|Dropdown=dropdown|Smiley=smiley|Sterne=stars|Gewählter Anbieter=anbieter' />
	<cms:editable order='5'		name='antworten'	label='Mögliche Antworten'	type='text' desc='Notwendig für Typ \'Radio\', \'Checkbox\' und \'Dropdown\'' />

	<cms:config_list_view limit='200' exclude='default-page' order='asc' order_by='page_id' show_unpublished='0'>

		<cms:field 'k_selector_checkbox' />

		<cms:field 'k_page_id' header='ID' class='small' sortable='1' />

		<cms:field 'frage' header='Frage' class='small' sortable='1'>
			<cms:show frage /><br/><span class="text-muted"><cms:show legende /></span>
		</cms:field>

		<cms:field 'bezug' header='Bezug' class='small' sortable='1' />

		<cms:field 'typ' header='Typ' class='small' sortable='1' />

		<cms:field 'antworten' header='Mögliche Antwort' class='small' />

		<cms:field 'antwort_count' header='Antworten' class='small'>
			<cms:if bezug='Offertstellung'>
				<cms:reverse_related_pages masterpage='befragung/antworten_offertstellung.php' count_only='1' />
			<cms:else_if bezug='Auftrag' />
				<cms:reverse_related_pages masterpage='befragung/antworten_auftrag.php' count_only='1' />
			<cms:else_if bezug='Hausheld' />
				<cms:reverse_related_pages masterpage='befragung/antworten_hausheld.php' count_only='1' />
			</cms:if>
		</cms:field>

		<cms:field 'k_actions' />

		<cms:ignore>
		<cms:field 'page_title' header='Titel' sortable='1' >
			<a href="<cms:admin_link />">
				<cms:show k_page_title />
			</a>
		</cms:field>
		</cms:ignore>

		<cms:style>
			th.col-small {
				min-width: 50px; important!
			}
			th.col-medium {
				min-width: 100px; important!
			}
			.text-muted {
				color: #777777;
			}
			@media (max-width: 950px) {
				.table th, .table td {
					display: table-cell; 
				}
			}
		</cms:style>

	</cms:config_list_view>

	<cms:config_form_view>

		<cms:persist
			k_page_name="<cms:set page_name="<cms:random_name />" scope='global' /><cms:if k_page_name!=''><cms:show k_page_name /><cms:else/><cms:show page_name /></cms:if>"
			k_page_title="<cms:if k_page_title!=''><cms:show k_page_title /><cms:else/><cms:show page_name /></cms:if>"
		/>
		<cms:ignore>
		</cms:ignore>
		<cms:field 'k_page_title' label='Title' order='100' group='_advanced_settings_' />
		<cms:field 'k_page_name' label='Name' order='101' group='_advanced_settings_' />

	</cms:config_form_view>

</cms:template>
<?php COUCH::invoke(); ?>