<?php require_once( '../admin/cms.php' ); ?>
<cms:template title='Antworten' parent='_befragung_' order='23' executable='0' clonable='1' hidden='0' >

	<cms:editable order='0'		name='updated_date'		label='Datum Update'	type='text' />
	<cms:editable order='1'		name='anfrage'			label='Anfrage'			type='relation'		masterpage='app/data/anfragen.php' has='one' />
	<cms:editable order='3'		name='anbieter'			label='Anbieter'		type='relation'		masterpage='app/data/anbieter.php' has='many' />
	<cms:editable order='4'		name='fragebogen'		label='Fragebogen'		type='relation'		masterpage='befragung/fragebogen.php' has='one' />

	<cms:config_list_view orderby='publish_date' order='desc' limit='200' exclude='default-page'>

		<cms:field 'k_selector_checkbox' />

		<cms:field 'date' header='Datum' sortable='1' >
			<a href="<cms:admin_link />">
				<cms:show k_page_date />
			</a>
		</cms:field>

		<cms:field 'updated_date' header='Datum Update'/>

		<cms:field 'k_page_title' header='Anfrager' class='small'>
			<cms:show k_page_title />
		</cms:field>

		<cms:field 'anbieter' header='Anbieter' class='small'>
			<cms:related_pages 'anbieter'><cms:show name /><cms:if k_count!=k_total_records><br/></cms:if></cms:related_pages>
			<cms:related_pages masterpage='app/data/anfragen.php'>
				<cms:set anbieter_ids="<cms:reverse_related_pages masterpage='app/data/leads.php' custom_field='status=Aktiv,Verrechnet'><cms:if k_count!='1'>,</cms:if><cms:set anbieter_typ="<cms:get_custom_field 'typ' masterpage='app/data/anbieter.php' id=anbieter_string />" scope='global' /><cms:if anbieter_typ='GrossA'><cms:show partner_string /><cms:else/><cms:show anbieter_string /></cms:if></cms:reverse_related_pages>" scope='global' />
			</cms:related_pages>

			<cms:ignore>
				<br/>
				<cms:show anbieter_ids />

				<cms:db_persist
					_invalidate_cache = '0'
					_masterpage		= k_template_name
					_mode			= 'edit'
					_page_id		= k_page_id

					anbieter		= anbieter_ids
					>
					<cms:if k_error>
						<strong style="color:red;">ERROR editing Antworten: </strong><cms:show k_error/><br/>
					</cms:if>
				</cms:db_persist>
			</cms:ignore>

		</cms:field>

		<cms:field 'fragebogen' header='Fragebogen'>
			<cms:related_pages 'fragebogen' skip_custom_fields='1'>
				<cms:show k_page_title />
			</cms:related_pages>
		</cms:field>

		<cms:field 'k_actions' />

		<cms:style>
			th.col-small {
				min-width: 50px; important!
			}
			th.col-medium {
				min-width: 100px; important!
			}
			.text-muted {
				color: #777777;
			}
		</cms:style>

	</cms:config_list_view>

</cms:template>
<?php COUCH::invoke(); ?>